from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, Int, File, String

Nseg_V0_1_0 = CommandToolBuilder(tool="nseg", base_command=["nseg"], inputs=[ToolInput(tag="in_input_sequence_represented", input_type=Boolean(optional=True), prefix="-x", doc=InputDocumentation(doc="each input sequence is represented by a single output\nsequence with low-complexity regions replaced by\nstrings of 'x' characters")), ToolInput(tag="in_number_sequence_charactersline", input_type=Int(optional=True), prefix="-c", doc=InputDocumentation(doc="number of sequence characters/line (default 60)")), ToolInput(tag="in_minimum_length_highcomplexity", input_type=Int(optional=True), prefix="-m", doc=InputDocumentation(doc="minimum length for a high-complexity segment\n(default 0).  Shorter segments are merged with adjacent\nlow-complexity segments")), ToolInput(tag="in_show_only_segments_format", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc="show only low-complexity segments (fasta format)")), ToolInput(tag="in_show_segments_fasta_format", input_type=Boolean(optional=True), prefix="-a", doc=InputDocumentation(doc="show all segments (fasta format)")), ToolInput(tag="in_add_complexity_information", input_type=Boolean(optional=True), prefix="-n", doc=InputDocumentation(doc="do not add complexity information to the header line")), ToolInput(tag="in_show_segments_default", input_type=Boolean(optional=True), prefix="-o", doc=InputDocumentation(doc="show overlapping low-complexity segments (default merge)")), ToolInput(tag="in_maximum_trimming_raw", input_type=Int(optional=True), prefix="-t", doc=InputDocumentation(doc="maximum trimming of raw segment (default 100)")), ToolInput(tag="in_prettyprint_segmented_tree_format", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="prettyprint each segmented sequence (tree format)")), ToolInput(tag="in_prettyprint_segmented_block_format", input_type=Boolean(optional=True), prefix="-q", doc=InputDocumentation(doc="prettyprint each segmented sequence (block format)")), ToolInput(tag="in_file", input_type=File(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_window", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_lo_cut", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_hi_cut", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_options", input_type=String(), position=4, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Nseg_V0_1_0().translate("wdl", allow_empty_container=True)

